ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Shape::Impl Class Reference

Private implementation details of Shape model object. More...

Collaboration diagram for ome::xml::model::Shape::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | strokeDashArray
| StrokeDashArray property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > | strokeWidth
| StrokeWidth property.
ome::compat::shared_ptr< bool > | locked
| Locked property.
ome::compat::shared_ptr< ome::xml::model::enums::FillRule > | fillRule
| FillRule property.
ome::compat::shared_ptr< std::string > | text
| Text property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theC
| TheC property.
ome::compat::shared_ptr< ome::xml::model::enums::FontFamily > | fontFamily
| FontFamily property.
ome::compat::shared_ptr< ome::xml::model::enums::FontStyle > | fontStyle
| FontStyle property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > > | fontSize
| FontSize property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | fillColor
| FillColor property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | strokeColor
| StrokeColor property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theT
| TheT property.
std::string | id
| ID property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theZ
| TheZ property.
ome::compat::shared_ptr< ome::xml::model::AffineTransform > | transform
| Transform property.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Union > | union_
| Union_BackReference back reference.

## Detailed Description

Private implementation details of Shape model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Shape.cpp